Index: c/build-tools/os/msdos/README
===================================================================
--- c/build-tools/os/msdos/README	(revision ced11f99842a1085e7d26a433b57b5d1fd14f6d2)
+++ c/build-tools/os/msdos/README	(revision 1039ae4125ec70e3ff4de6147a62f681065c09d1)
@@ -3,5 +3,10 @@
 #
 
-ifc.exe is an MS-DOS executable which is equivalent to the program
+ifc is an MS-DOS executable which is equivalent to the program
 install-if-change.  It was compiled using Borland C 2.00.
 
+cklength is a precompiled version of the program cklength.c from
+the main source tree.
+
+fixtimer is a program to restore the clock if the program does not
+exit cleanly.
Index: c/build-tools/os/msdos/fixtimer.c
===================================================================
--- c/build-tools/os/msdos/fixtimer.c	(revision 1039ae4125ec70e3ff4de6147a62f681065c09d1)
+++ c/build-tools/os/msdos/fixtimer.c	(revision 1039ae4125ec70e3ff4de6147a62f681065c09d1)
@@ -0,0 +1,111 @@
+/*
+ *  $Id$
+ */
+
+#include <stdio.h>
+#include <dos.h>
+
+#define IO_RTC		0x70	/* RTC */
+
+#define RTC_SEC		0x00	/* seconds */
+#define RTC_MIN		0x02	/* minutes */
+#define RTC_HRS		0x04	/* hours */
+#define RTC_WDAY	0x06	/* week day */
+#define RTC_DAY		0x07	/* day of month */
+#define RTC_MONTH	0x08	/* month of year */
+#define RTC_YEAR	0x09	/* month of year */
+#define RTC_STATUSA	0x0a	/* status register A */
+#define  RTCSA_TUP	 0x80	/* time update, don't look now */
+
+#define RTC_STATUSB	0x0b	/* status register B */
+
+#define RTC_DIAG	0x0e	/* status register E - bios diagnostic */
+#define RTCDG_BITS	"\020\010clock_battery\007ROM_cksum\006config_unit\005memory_size\004fixed_disk\003invalid_time"
+
+
+
+/* convert 2 digit BCD number */
+static int bcd( unsigned int i )
+{
+	return ((i/16)*10 + (i%16));
+}
+
+static unsigned int rtcin( unsigned int what )
+{
+    outportb( IO_RTC, what );
+    return inportb( IO_RTC+1 );
+}
+
+
+void fix_date( void )
+{
+    int s;
+    struct date date;
+    struct time time;
+
+    /* initialize brain-dead battery powered clock */
+    outportb( IO_RTC, RTC_STATUSA );
+    outportb( IO_RTC+1, 0x26 );
+    outportb( IO_RTC, RTC_STATUSB );
+    outportb( IO_RTC+1, 2 );
+
+    outportb( IO_RTC, RTC_DIAG );
+    s = inportb( IO_RTC+1 );
+    if (s) printf("RTC BIOS diagnostic error %b\n", s, RTCDG_BITS);
+
+    /* check for presence of clock */
+    s = rtcin(RTC_STATUSA);
+    if ( s == 0xff  ||  s == 0 )  {
+	printf( "Real-time clock not found\n" );
+	return;
+    }
+
+    /* ready for a read? */
+    while ((s & RTCSA_TUP) == RTCSA_TUP)
+	s = rtcin(RTC_STATUSA);
+
+    date.da_year	= bcd(rtcin(RTC_YEAR)) + 1900;	/* year	  */
+    if ( date.da_year < 1970)	date.da_year += 100;
+    date.da_year	-= 1980;
+    date.da_mon		= bcd(rtcin(RTC_MONTH));	/* month   */
+    date.da_day		= bcd(rtcin(RTC_DAY));		/* day	   */
+
+    (void)bcd(rtcin(RTC_WDAY));		/* weekday */
+
+    time.ti_hour	= bcd(rtcin(RTC_HRS));		/* hour    */
+    time.ti_min		= bcd(rtcin(RTC_MIN));		/* minutes */
+    time.ti_sec		= bcd(rtcin(RTC_SEC));		/* seconds */
+    time.ti_hund	= 0;
+
+    setdate( & date );
+    settime( & time );
+}
+
+
+
+
+void fix_timer( void )
+{
+#define PIT_PORT	0x40
+#define TIMER_CNTR0	(PIT_PORT + 0)	/* timer 0 counter port */
+#define TIMER_MODE	(PIT_PORT + 3)	/* timer mode port */
+#define   TIMER_SEL0	0x00		/* select counter 0 */
+#define   TIMER_RATEGEN	0x04		/* mode 2, rate generator */
+#define   TIMER_16BIT	0x30		/* r/w counter 16 bits, LSB first */
+
+    /* set timer 0 to generate interrupts every period */
+    outportb( TIMER_MODE, TIMER_SEL0|TIMER_RATEGEN|TIMER_16BIT );
+    outportb( TIMER_CNTR0, 0 );  /* counter low */
+    outportb( TIMER_CNTR0, 0 );  /* counter high */
+}
+
+int main(void)
+{
+    /* Make timer count at correct pace */
+    fix_timer();
+
+    /* Fix the date */
+    fix_date();
+
+    return 0;
+}
Index: c/build-tools/os/msdos/fixtimer.uue
===================================================================
--- c/build-tools/os/msdos/fixtimer.uue	(revision 1039ae4125ec70e3ff4de6147a62f681065c09d1)
+++ c/build-tools/os/msdos/fixtimer.uue	(revision 1039ae4125ec70e3ff4de6147a62f681065c09d1)
@@ -0,0 +1,159 @@
+begin 664 fixtimer.exe
+M35IF 0X  0 @  T __^; 8          (@    $ ^R!R:@$             
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                      "Z3 $NB1;X ;0PS2&++@( BQXL ([:HY( C :0
+M (D>C ")+JP QP:6 /__Z#0!Q#Z* (O'B]BY_W\F@3TX-W49)HM5 H#Z/740
+M@.;?_P:6 (#^674$_P:6 /*NXV%#)C@%==: S8#WV8D.B@"Y 0#3XX/#"(/C
+M^(D>C@",VBOJBSY\ H'_  )S![\  HD^? *!Q^P$<B@#/GH"<B*Q!-/O1SOO
+M<AF#/GP" '0'@SYZ @!U#K\ $#OO=P>+_>L#Z2$!B]\#VHD>I ")'J@ H9  
+M*]B.P+1*5\TA7]/G^H[2B^?[,\ NC@;X ;^F!+GL!"O/\ZH._Q:8!.BU NB=
+M [0 S1J)%I@ B0Z: /\6G 3_-H@ _S:& /\VA #H%P)0Z%H"+HX>^ 'H?  .
+M_Q::!#/ B_"Y+P"0_ ($@-0 1N+X+3<-D'0*N1D D+HO .B+ (OLM$R*1@+-
+M(;D. )"Z2 #IAP >N  US2&)'G0 C 9V +@$-<TAB1YX (P&>@"X!37-(8D>
+M? ",!GX N 8US2&)'H  C :" +@ )8S*CMJZ6 '-(1_#'K@ )<46= #-(1\>
+MN 0EQ19X ,TA'QZX!27%%GP S2$?'K@&)<46@ #-(1_#QP:6    R\.T0+L"
+M ,TAP[D> )"Z5@ NCA[X >CI_[@# %#H*?\  %6+[(M&!+$$T^BZ"@#WXHM6
+M!('B#P #PNL 7<-5B^R*1@3F<.1QM #K %W#58OL@^P(5K *YG"P)N9QL OF
+M<+ "YG&P#N9PY'&T (OP"_9T#[BR 5!6N)0!4.B<"8/$!K@* %#HM?]9B_"!
+M_O\ = 0+]G4+N/P!4.A^"5GIJ0#K"K@* %#HE/]9B_"+QB6  #V  '3LN D 
+M4.B _UE0Z%__605L!XE&^(%^^+('?02#1OAD@6[XO >X" !0Z%W_65#H//]9
+MB$;[N < 4.A-_UE0Z"S_68A&^K@& %#H/?]94.@<_UFX! !0Z##_65#H#_]9
+MB$;]N ( 4.@@_UE0Z/_^68A&_#/ 4.@1_UE0Z/#^68A&_\9&_@"-1OA0Z'H1
+M68U&_%#HA1%97HOE7<.P-.9#L #F0+  YD##Z/#_Z.S^,\#K ,-5B^Q6BW8$
+M"_9\%(/^6'8#OE< B388 HJ$&@*8ENL-]]Z#_B-WZL<&& +__XO&HY0 N/__
+MZP!>7<(" ,-5B^SK"HL>?@+1X_^7I@2A?@+_#GX""\!UZ_\6= +_%G8"_Q9X
+M O]V!.AZ_5E=PP       "Z/!JH#+HP>K /\C@:0 +Z  #+D)JQ C,6'UI.+
+M-HH @\8"N0$ @#Z2  -R$8X&C "+_K%_,L#RKN-V@/%_@^P"N $  \,#P27^
+M_XO\*_AR8(OGC,".V(S0CL!12?.D,L"JCMV'\H?9B\.+T$/H&0!W!W) Z!( 
+M=_D\('0(/ UT!#P)=>@RP.OD"\!T!T*J"L!U 4.&X#+ ^>,5K$DL(G0/!"(\
+M7'4'@#PB=0*L20OVP^E^_5D#RBZ.'JP#B1Z$ $,#VXOTB^PKZW+FB^6)+H8 
+MXPZ)=@"#Q0(VK K X/IT\#/ B48 +O\FJ@.+#HH 4>A' 5F+^ O ="0>'@>.
+M'HP ,_;\\Z0?B_@&_S:. .@I 8/$ HO8!Z.(  O =0/I$?TSP+G__XD_@\,"
+M\JXF. 5U](D'PU6+[(,^?@(@=06X 0#K%8M&!(L>?@+1XXF'I@3_!GX",\#K
+M %W#58OL5E>+?@2+10:CZ 0[QW4(QP;H!   ZQ"+=02+'N@$B7<$H>@$B40&
+M7UY=PU6+[%97BWX$BT8&*06+-0/WBT8&0(D$B7P"H>8$.\=U!HDVY@3K"(O^
+M WX&B74"B\8%! #K %]>7<-5B^Q6BT8$,](E__^!X@  4E#H] !968OP@_[_
+M=00SP.L8H>8$B40"BT8$0(D$B3;F!*'F! 4$ .L 7EW#58OL5HM&!#/2)?__
+M@>(  %)0Z+< 65F+\(/^_W4$,\#K%8DVZ@2)-N8$BT8$0(D$B\8%! #K %Y=
+MPU6+[%97BWX$"_]U!#/ ZUJ+QP4+ "7X_XOX@S[J! !U!U?HH?]9ZT*+-N@$
+MB\8+P'0QBP2+UX/"*#O"<@E75N@-_UE9ZR2+!#O'<@Y6Z-'^6?\$B\8%! #K
+M$(MT!CLVZ 1USU?H(O]9ZP!?7EW#58OLBT8$B]2!Z@ !.\)S!Z.> #/ ZPO'
+M!I0 " "X___K %W#58OLBT8$BU8& P:> (/2 (O(@<$  8/2  O2=0H[S',&
+MAP:> .L+QP:4  @ N/__ZP!=PU6+[/]V!.B?_UGK %W#58OLBT8$F5)0Z++_
+MB^7K %W#58OL@^P"5E>+7@2+-XO&B4;^BUX$]T<"0 !T!(O&ZQ^+7@2+?PKK
+M"XO?1X _"G4#_T;^B\9."\!U[HM&_NL 7UZ+Y5W" @!5B^Q6BW8$5NA3!%D+
+MP'0%N/__ZTR#?@H!=1"#/ !^"U;HE?^9*48&&58(@60"7_['!   BT0(B40*
+M_W8*_W8(_W8&BD0$F%#HW *#Q B#^O]U"CW__W4%N/__ZP(SP.L 7EW#58OL
+M@^P$5HMV!%;H[ -9"\!T"+K__[C__^L_N $ 4#/ 4%"*1 284.B8 H/$"(E6
+M_HE&_(,\ 'X9BU;^BT;\4E!6Z!#_F8O8B\I86BO#&]'K!HM6_HM&_.L 7HOE
+M7<-5B^RX $2+7@3-(;@  '($T>+1T.L 7<-5B^Q65XM^"HMV!(M$#CO&=0R#
+M?@@"?P:!__]_=@:X___IJ@"#/NH# '4/N) ".\9U",<&Z@,! .L4@S[H P!U
+M#;B  CO&=0;'!N@# 0"#/ !T#[@! % SP%!05NC&_H/$"/=$ @0 = ?_= CH
+M"PQ9@60"\__'1 8  (O&!04 B40(B40*@WX( G0_"_]V.\<&= +$"(-^!@!U
+M&%?H6?U9B48&"\!T!X%, @0 ZP6X___K&XM&!HE$"HE$"(E\!H-^" %U!8%,
+M @@ ,\#K %]>7<-65[\$ +Z  NL0]T0" P!T!5;HG )93X/&$ O_=>Q?7L-5
+MB^R![(H 5E>+1@A /0( <P4SP.GV (M>!-'C]X?  P" =!+_=@C_=@;_=@3H
+MXP"#Q ;IUP"+7@31XX&GP /__8M&!HF&?/^+1@B)AGC_C;9^_^MM_XYX_XN>
+M?/__AGS_B@>(AGO_/ IU!,8$#4:*AGO_B 1&C89^_XO6*]"!^H  ?#Z-AG[_
+MB_XK^%>-AG[_4/]V!.A[ (/$!HF&=O\[QW0;@[YV_P!S!;C__^L-BT8(*X9X
+M_P.&=O\KQ^M/C;9^_X.^>/\ = /IB?^-AG[_B_XK^(O'"\!V+E>-AG[_4/]V
+M!.@M (/$!HF&=O\[QW07@[YV_P!S!;C__^L)BT8( X9V_RO'ZP6+1@CK %]>
+MB^5=PU6+[(M>!-'C]X?  P (=!"X @!0,\!04/]V!.@H (OEM$"+7@2+3@B+
+M5@;-(7(/4(M>!-'C@8_  P 06.L&4.@%^>L 7<-5B^R+7@31XX&GP /__;1"
+MBD8*BUX$BTX(BU8&S2%R NL'4.C;^)GK %W#58OL@^PB5E<&BWX*'@>+7@B#
+M^R1W6(#[ G)3BT8,BTX."\E]$8!^!@!T"\8%+4?WV??8@]D C7;>XP^1*]+W
+M\Y'W\X@41N,)Z_$KTO?SB!1&"\!U]8U.WO?9 \[\3HH$+ IS! 0ZZP,"1@2J
+MXN^P *H'BT8*ZP!?7HOE7<(, %6+[(-^" IU!HM&!)GK!8M&!#/24E#_=@;_
+M=@BP 5"P85#H7/_K %W#58OL_W8&_W8$_W8(_W8*L !0L&%0Z$#_ZP!=PU6+
+M[/]V!O]V!/]V"/]V"H-^"@IU!;@! .L",\!0L&%0Z!G_ZP!=P[KL ^L#NO$#
+MN04 D+1 NP( S2&Y)P"0NO8#M$#-(>EM]E6+[%97BW8$BT0..\9T!;C__^MF
+M@SP ?"WW1 (( '4,BT0*B]:#P@4[PG46QP0  (M$"HO6@\(%.\)U!HM$"(E$
+M"C/ ZS2+? 8#/$<I/%>+1 B)1 I0BD0$F%#H$OV#Q 8[QW01]T0"  )U"H%,
+M A  N/__ZP0SP.L 7UY=PU6+[+AK#5"XD )0_W8$C48&4.A, NL 7<-5B^R+
+M7@;_#_]V!HI&!)A0Z 8 B^7K %W#58OL@^P"5HMV!HI&!(A&__\$?3:*1O__
+M1 J+7 J(1__W1 (( '0;@'[_"G0&@'[_#74/5N@9_UD+P'0&N/__Z>D BD;_
+MM #IX0#_#/=$ I  =0?W1 (" '4+@4P"$ "X___IQ@"!3 (  8-\!@!T)H,\
+M '015NC7_ED+P'0&N/__Z:< ZPJX__^+5 8KPHD$Z7W_Z94 @S[J P!U.;B0
+M CO&=3**1 284.@)^UD+P'4%@60"__VX  )0]T0"  )T!;@" .L",\!0,\!0
+M5NC]^H/$".F/_X!^_PIU'_=$ D  =1BX 0!0N!X$4(I$!)A0Z.#\@\0&/0$ 
+M=1BX 0!0C48$4(I$!)A0Z,C\@\0&/0$ =!'W1 (  G4*@4P"$ "X___K!XI&
+M_[0 ZP!>B^5=PU6+[%:+=@2XD )05NC!_EE9ZP!>7<-5B^R#[ )65XMV!(M^
+M!D?W1 (( '0CZP+K $^+QPO =!56BUX(_T8(B@>84.B+_EE9/?__=>+I=0#W
+M1 )  '0W@WP& '0QBT0&.\=S*H,\ '0-5NBT_5D+P'0$,\#K4T]7_W8(BD0$
+MF%#H(?R#Q :)1OXK?O[K-^L"ZP!/B\<+P'0L_P1]%8M>"/]&"(H'_T0*BUP*
+MB$?_M #K#E:+7@C_1@C_-^CZ_5E9/?__=<N+Q^L 7UZ+Y5W"!@#_)IX$58OL
+MBU8$N00/NR<$_(K&TNC7JHK&(L77JHK"TNC7JHK"(L77JNL 7<(" %6+[('L
+ME@!65\=&J@  QD:M4.LX5[G__S+ \J[WT4E?PX@%1_Y.K7XB4U%2!HU&KBOX
+MC4:N4%?_=@C_5@K&1JU0 7ZJC7ZN!UI96\,&_(U^KHF^;/^+OFS_BW8&K K 
+M=!$\)700B 5'_DZM?^_HN?_KZNEU!(FV>/^L/"5TYXF^;/\SR8F.=O^)CFK_
+MB(YU_\>&</___\>&<O___^L!K#+DB]"+V(#K((#[8'-'BI\W!(O#/1< =@/I
+M'02+V-'C+O^G& ]C#TL/I ]7#\D/TP\5$!\0+Q"*#V00/Q!#$$<0Z1";$3P1
+M7!'_$BP3+!,L$W8/@ _IX0. _0!W^(..:O\!ZYN _0!W[(..:O\"ZX^ _0!W
+MX("^=?\K= 2(EG7_Z7S_@Z9J_]^U!>ER_X..:O\@M07I:/^ _0!W1/>&:O\"
+M '4A@XYJ_PBU >E1_^F( XM^!(L%@T8$ H#] G,)B89P_[4#Z3?_@/T$=>&)
+MAG+__L7I*?^ _01ST[4$Z1__DBPPF(#] G<;M0*'AG#_"\!\TM'@B]#1X-'@
+M \(!AG#_Z?O^@/T$=:6'AG+_"\!\M-'@B]#1X-'@ \(!AG+_Z=W^@XYJ_Q"U
+M!>G3_H&.:O\  8.F:O_OM07IP_Z#IFK_[X&.:O^  +4%Z;/^MPCK"K<*ZPNW
+M$+/I MK&AG7_ ,:&;_\ B)9N_XM^!(L%,]+K$;<*QH9O_P&(EF[_BWX$BP69
+M1T>)=@;WAFK_$ !T!(L51T>)?@2-OGO_"\!U,PO2=2^#OG+_ '4MB[YL_XN.
+M</_C&X/Y_W06BX9J_R4( '0$LC#K K(@BL+HMOWB^>GI_8..:O\$4E!7BL>8
+M4(J&;_]04^B0^18'BY9R_PO2?P/I% 'I(0&(EF[_B78&C;YZ_XM>!/\W0T.)
+M7@3WAFK_( !T#_\W0T.)7@06!^@7_; ZJA8'Z _]Q@4 QH9O_P"#IFK_^XV.
+M>O\K^8?/BY9R_SO1?P*+T>F^ (EV!HB6;O^+?@2+!8-&! (6!XV^>_\RY(D%
+MN0$ Z=@ B78&B)9N_XM^!/>&:O\@ '4,BSV#1@0"'@<+_^L*Q#V#1@0$C, +
+MQW4%'@>_( 3HVOP[CG+_=@2+CG+_Z9D B78&B)9N_XM^!(N.<O\+R7T#N08 
+M5U&-GGO_4U*X 0 CAFK_4(N&:O^I@ !T"K@" ,=&_@0 ZQ>I  %T"K@( ,=&
+M_@H ZPC'1OX( +@& %#H-_R+1OX!1@06!XV^>__WAFK_" !T$XN6</\+TGX+
+MZ%O\*]%^!(F6=O^*AG7_"L!T%": /2UT#H.N=O\!@Y9V_P!/)H@%Z#3\B_>+
+MOFS_BYYP_[@% ".&:O\]!0!U%HJF;O^ _&]U$(.^=O\ ?P;'AG;_ 0#K'Y" 
+M_'AT!8#\6'44@XYJ_T!+2X.N=O\"?0;'AG;_   #CG;_]X9J_P( =0SK!K @
+MZ.'[2SO9?_;WAFK_0 !T#+ PZ,_[BH9N_^C(^XN6=O\+TGXG*\HKVB:*!#PM
+M= @\('0$/"MU!R:LZ*C[24N'RN,'L##HG?OB^8?*XQ$KV2:LB 5'_DZM?P/H
+MD/OB\0O;?@F+R[ @Z'O[XOGIKON)=@:+?@3WAFK_( !U"HL]@T8$ AX'ZP;$
+M/8-&! 2X4  J1JT#1JHFB07I??N+MGC_B[YL_[ EZ#S[K K =?B ?JU0?0/H
+M-OL'BT:JZP!?7HOE7<(( %6+[%97BW8$@S[H! !T'(L>Z 2+?P:+'N@$B7<&
+MB74$B7P&H>@$B40$ZPJ)-N@$B70$B70&7UY=PU6+[(/L E97BW8&BWX$BP0!
+M!:'F!#O&=0:)/N8$ZPV+! /&B4;^BU[^B7\"5NA-\5E?7HOE7<-6H>H$.P;F
+M!'42_S;J!.C:\EDSP*/F!*/J!.L[BQ[F!(MW O<$ 0!U(E;H&?%9.S;J!'4*
+M,\"CY@2CZ@3K!HM$ J/F!%;HH_)9ZPS_-N8$Z)GR68DVY@1>PU6+[(/L E97
+MBW8$_PR+! /&B4;^BWP"]P4! '44.S;J!'0.BP0!!8M>_HE_ HOWZP56Z +_
+M68M>_O<' 0!U"?]V_E;H*O]965]>B^5=PU6+[%:+=@0+]G4"ZQ>+Q@7\_XOP
+M.S;F!'4%Z#S_ZP56Z(__65Y=PU6+[%:T*XMV!(L,BU0"S2%>7<-5B^Q6M"V+
+M=@2+#(M4 LTA7EW#              !4=7)B;RU#("T@0V]P>7)I9VAT("AC
+M*2 Q.3@X($)O<FQA;F0@26YT;"X 3G5L;"!P;VEN=&5R(&%S<VEG;FUE;G0-
+M"D1I=FED92!E<G)O<@T*06)N;W)M86P@<')O9W)A;2!T97)M:6YA=&EO;@T*
+M                                                     .P$[ 3L
+M!                                                           
+M                                                            
+M                                                            
+M                                                            
+M                                                            
+M                        4E1#($))3U,@9&EA9VYO<W1I8R!E<G)O<B E
+M8@H $ AC;&]C:U]B871T97)Y!U)/35]C:W-U;09C;VYF:6=?=6YI= 5M96UO
+M<GE?<VEZ901F:7AE9%]D:7-K VEN=F%L:61?=&EM90!296%L+71I;64@8VQO
+M8VL@;F]T(&9O=6YD"@      $P("! 4&" @(%!4%$_\6!1$"____________
+M_____P4%_____________________P__(P+_#_____\3__\" @4/ O___Q/_
+M_________R/_____(_\3_P!Z WH#>@,    0      D"             ( "
+M   * @$           "0 @   @("            H (  $," P          
+M + "  !" @0           #  @    #_            T (     _P      
+M     . "     /\           #P @    #_              ,     _P  
+M         ! #     /\            @ P    #_            , ,     
+M_P           $ #     /\           !0 P    #_            8 , 
+M    _P           ' #     /\           "  P    #_            
+MD ,     _P           * #     /\           "P P$@ B "( 2@ J#_
+M______________________________________\     <')I;G0@<V-A;F8@
+M.B!F;&]A=&EN9R!P;VEN="!F;W)M871S(&YO="!L:6YK960-"@ - "AN=6QL
+M*0 P,3(S-#4V-S@Y04)#1$5& !04 105%!04% ( % ,$% D%!04%!04%!044
+M%!04%!04%!04% \7#P@4%!0'%!84%!04%!04%!0-%!04%!04%!04%! *#P\/
+G" H4% 84$@L.%!01% P4% T4%!04%!04 -(!T@'9 50+60M9"UD+
+ 
+end