Index: c/build-tools/Makefile.in
===================================================================
--- c/build-tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/build-tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -477,28 +477,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/exec/score/tools/generic/Makefile.in
===================================================================
--- c/src/exec/score/tools/generic/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/exec/score/tools/generic/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -236,28 +236,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/exec/score/tools/hppa1.1/Makefile.in
===================================================================
--- c/src/exec/score/tools/hppa1.1/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/exec/score/tools/hppa1.1/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -366,28 +366,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/exec/score/tools/sh/Makefile.in
===================================================================
--- c/src/exec/score/tools/sh/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/exec/score/tools/sh/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -352,28 +352,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/exec/score/tools/unix/Makefile.in
===================================================================
--- c/src/exec/score/tools/unix/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/exec/score/tools/unix/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -364,28 +364,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/lib/libbsp/hppa1.1/simhppa/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/hppa1.1/simhppa/tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/lib/libbsp/hppa1.1/simhppa/tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -391,28 +391,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/lib/libbsp/i386/pc386/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/i386/pc386/tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/lib/libbsp/i386/pc386/tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -367,28 +367,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/lib/libbsp/m68k/mvme162/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/lib/libbsp/m68k/mvme162/tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -352,28 +352,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/lib/libbsp/powerpc/psim/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/powerpc/psim/tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/lib/libbsp/powerpc/psim/tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -234,28 +234,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/lib/libbsp/sparc/erc32/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/sparc/erc32/tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/lib/libbsp/sparc/erc32/tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -236,28 +236,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/lib/libbsp/unix/posix/tools/Makefile.in
===================================================================
--- c/src/lib/libbsp/unix/posix/tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/lib/libbsp/unix/posix/tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -247,28 +247,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/src/tests/tools/generic/Makefile.in
===================================================================
--- c/src/tests/tools/generic/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/src/tests/tools/generic/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -239,28 +239,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: c/update-tools/Makefile.in
===================================================================
--- c/update-tools/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ c/update-tools/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -254,28 +254,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: tools/build/Makefile.in
===================================================================
--- tools/build/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ tools/build/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -477,28 +477,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: tools/cpu/generic/Makefile.in
===================================================================
--- tools/cpu/generic/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ tools/cpu/generic/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -236,28 +236,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: tools/cpu/sh/Makefile.in
===================================================================
--- tools/cpu/sh/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ tools/cpu/sh/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -352,28 +352,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: tools/cpu/unix/Makefile.in
===================================================================
--- tools/cpu/unix/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ tools/cpu/unix/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -364,28 +364,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
Index: tools/update/Makefile.in
===================================================================
--- tools/update/Makefile.in	(revision 7807b30e0880a471115193612981e671ab0fa4da)
+++ tools/update/Makefile.in	(revision 1059abcd944f9543eb6b2e2d65eaae35f3dd0388)
@@ -254,28 +254,30 @@
 
 debug-am:
-
 debug: debug-am
+.PHONY: debug debug-am
 
 debug_install-am:
-
 debug_install: debug_install-am
-
-.PHONY: debug debug_install debug-am
+.PHONY: debug_install debug_install-am
 
 profile-am:
-
 profile: profile-am
+.PHONY: profile profile-am
 
 profile_install-am:
-
 profile_install: profile_install-am
-
-.PHONY: profile profile_install profile-am
+.PHONY: profile_install profile_install-am
 
 preinstall-am:
-
 preinstall: preinstall-am
-
 .PHONY: preinstall preinstall-am
+
+clobber-am:
+clobber: clobber-am
+.PHONY: clobber clobber-am
+
+depend-am:
+depend: depend-am
+.PHONY: depend depend-am
 
 # Tell versions [3.59,3.63) of GNU make to not export all variables.