Index: contrib/crossrpms/rtems4.10/arm/.cvsignore
===================================================================
--- contrib/crossrpms/rtems4.10/arm/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/.cvsignore	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,3 @@
+Makefile
+Makefile.in
+*.spec.in
Index: contrib/crossrpms/rtems4.10/arm/Makefile.am
===================================================================
--- contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/Makefile.am	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,30 @@
+# $Id$
+
+TARGET = arm-rtems4.9
+
+include $(top_srcdir)/mkspec.am
+
+BINUTILS_VERS = 2.18
+BINUTILS_PKGVERS = $(BINUTILS_VERS)
+BINUTILS_RPMREL = 4%{?dist}
+include ../binutils.am
+BINUTILS_OPTS +=
+
+GCC_VERS = 4.3.1
+GCC_PKGVERS = $(GCC_VERS)
+GCC_RPMREL = 13%{?dist}
+NEWLIB_VERS = 1.16.0
+include ../gcc.am
+GCC_OPTS += --languages=cxx
+
+GDB_VERS = 6.8
+GDB_PKGVERS = $(GDB_VERS)
+GDB_RPMREL = 3%{?dist}
+include ../gdb.am
+GDB_OPTS +=
+
+CPUKIT_VERS = 4.7.99.1
+CPUKIT_PKGVERS = $(CPUKIT_VERS)-20070510
+CPUKIT_RPMREL = 0
+include ../cpukit.am
+CPUKIT_OPTS +=
Index: contrib/crossrpms/rtems4.10/arm/binutils-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/binutils-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{binutils_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{binutils_version}" == "2.18"
+Patch0:		binutils-2.18-rtems4.9-20080211.diff
+%endif
Index: contrib/crossrpms/rtems4.10/arm/cpukit-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/cpukit-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,2 @@
+Source0: 	ftp://ftp.rtems.org/pub/rtems/SOURCES/rtems-%{cpukit_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:   0}
Index: contrib/crossrpms/rtems4.10/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/gcc-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,47 @@
+%if "%{gcc_version}" == "4.3.1"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.1-rtems4.9-20080609.diff
+%endif
+%if "%{gcc_version}" == "4.3.0"
+Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Patch0:		gcc-core-4.3.0-rtems4.9-20080501.diff
+%endif
+%{?_without_sources:NoSource:	0}
+
+%if %build_cxx
+%if "%{gcc_version}" == "4.3.1" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%if "%{gcc_version}" == "4.3.0" 
+Source1:        ftp://ftp.gnu.org/pub/gnu/gcc/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+%endif
+%{?_without_sources:NoSource:	1}
+
+%endif
+%if %build_f95
+Source2:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-fortran-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	2}
+
+%endif
+%if %build_gcj
+Source3:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-java-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	3}
+
+%endif
+%if %build_gnat
+Source4:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-ada-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	4}
+
+%endif
+%if %build_objc
+Source5:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_version}/gcc-objc-%{gcc_pkgvers}.tar.bz2
+%{?_without_sources:NoSource:	5}
+
+%endif
+%if %build_newlib
+Source50:	ftp://sources.redhat.com/pub/newlib/newlib-%{newlib_version}.tar.gz
+%if "%{newlib_version}" == "1.16.0"
+Patch50:	newlib-1.16.0-rtems4.9-20080430.diff
+%endif
+%{?_without_sources:NoSource:	50}
+%endif
Index: contrib/crossrpms/rtems4.10/arm/gdb-sources.add
===================================================================
--- contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
+++ contrib/crossrpms/rtems4.10/arm/gdb-sources.add	(revision 01141c54e7421665c422fb1931197e884c829d15)
@@ -0,0 +1,5 @@
+Source0:	ftp://ftp.gnu.org/pub/gnu/gdb/gdb-%{gdb_version}.tar.bz2
+%{?_without_sources:NoSource:	0}
+%if "%{gdb_version}" == "6.8"
+Patch0:		gdb-6.8-rtems4.9-20080429.diff
+%endif