Index: contrib/crossrpms/rtems4.11/arm-eabi/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm-eabi/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/arm-eabi/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/arm/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/arm/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/avr/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/avr/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/bfin/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/bfin/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/h8300/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/h8300/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/i386/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/i386/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/lm32/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/lm32/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/lm32/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/m32c/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32c/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/m32c/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/m32r/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m32r/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/m32r/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/m68k/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/m68k/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/mips/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/mips/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/powerpc/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sh/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/sh/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/sparc/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"
Index: contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add	(revision f42a8eca2e8f9b82e03aa35cb4ace1d32cdd71f9)
+++ contrib/crossrpms/rtems4.11/sparc64/gcc-sources.add	(revision 1456f5657f1f827ff9a2f8558f620e509a098949)
@@ -1,4 +1,5 @@
 %if "%{gcc_version}" == "4.6.1"
-Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+# Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
+Source0:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
 Patch0:         ftp://ftp.rtems.org/pub/rtems/SOURCES/4.11/gcc-core-4.6.1-rtems4.11-20110621.diff
 %endif
@@ -18,5 +19,6 @@
 %if %build_cxx
 %if "%{gcc_version}" == "4.6.1"
-Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+#Source1:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
+Source1:	ftp://gcc.gnu.org/pub/gcc/snapshots/gcc-%{gcc_pkgvers}/gcc-g++-%{gcc_pkgvers}.tar.bz2
 %endif
 %if "%{gcc_version}" == "4.6.0"