Index: cpukit/libcsupport/Makefile.am
===================================================================
--- cpukit/libcsupport/Makefile.am	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/Makefile.am	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -99,8 +99,7 @@
     src/free.c src/_free_r.c \
     src/_realloc_r.c src/mallocfreespace.c \
-   src/mallocgetheapptr.c src/mallocsetheapptr.c \
-    src/mallocinfo.c src/malloc_walk.c src/malloc_get_statistics.c \
-    src/malloc_report_statistics.c src/malloc_report_statistics_plugin.c \
-    src/malloc_statistics_helpers.c src/posix_memalign.c \
+    src/mallocgetheapptr.c src/mallocsetheapptr.c \
+    src/mallocinfo.c src/malloc_walk.c \
+    src/posix_memalign.c \
     src/rtems_memalign.c src/malloc_deferred.c \
     src/malloc_dirtier.c src/malloc_p.h src/rtems_malloc.c \
Index: cpukit/libcsupport/include/rtems/malloc.h
===================================================================
--- cpukit/libcsupport/include/rtems/malloc.h	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/include/rtems/malloc.h	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -49,32 +49,4 @@
 );
 
-/*
- *  Malloc Statistics Structure
- */
-typedef struct {
-    uint32_t    space_available;             /* current size of malloc area */
-    uint32_t    malloc_calls;                /* # calls to malloc */
-    uint32_t    memalign_calls;              /* # calls to memalign */
-    uint32_t    free_calls;
-    uint32_t    realloc_calls;
-    uint32_t    calloc_calls;
-    uint32_t    max_depth;		     /* most ever malloc'd at 1 time */
-    uintmax_t   lifetime_allocated;
-    uintmax_t   lifetime_freed;
-} rtems_malloc_statistics_t;
-
-/*
- *  Malloc statistics plugin
- */
-typedef struct {
-  void (*initialize)(void);
-  void (*at_malloc)(void *);
-  void (*at_free)(void *);
-} rtems_malloc_statistics_functions_t;
-
-extern rtems_malloc_statistics_functions_t
-  rtems_malloc_statistics_helpers_table;
-extern rtems_malloc_statistics_functions_t *rtems_malloc_statistics_helpers;
-
 extern ptrdiff_t RTEMS_Malloc_Sbrk_amount;
 
@@ -120,39 +92,4 @@
   void   *start,
   size_t  size
-);
-
-/**
- *  @brief Print Malloc Statistic Usage Report
- *
- *  This method fills in the called provided malloc statistics area.
- *
- *  @return This method returns 0 if successful and -1 on error.
- */
-int malloc_get_statistics(
-  rtems_malloc_statistics_t *stats
-);
-
-/**
- *  @brief Print Malloc Statistic Usage Report
- *
- *  This method prints a malloc statistics report.
- *
- *  @note It uses printk to print the report.
- */
-void malloc_report_statistics(void);
-
-/**
- *  @brief Print Malloc Statistic Usage Report
- *
- *  This method prints a malloc statistics report.
- *
- *  @param[in] context is the context to pass to the print handler
- *  @param[in] print is the print handler
- *
- *  @note It uses the CALLER's routine to print the report.
- */
-void malloc_report_statistics_with_plugin(
-  void                  *context,
-  rtems_printk_plugin_t  print
 );
 
Index: cpukit/libcsupport/src/calloc.c
===================================================================
--- cpukit/libcsupport/src/calloc.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/calloc.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -20,5 +20,4 @@
 
 #if defined(RTEMS_NEWLIB) && !defined(HAVE_CALLOC)
-#include "malloc_p.h"
 #include <stdlib.h>
 #include <string.h>
@@ -32,6 +31,4 @@
   size_t  length;
 
-  MSBUMP(calloc_calls, 1);
-
   length = nelem * elsize;
   cptr = malloc( length );
@@ -39,6 +36,4 @@
     memset( cptr, '\0', length );
 
-  MSBUMP(malloc_calls, (uint32_t) -1);   /* subtract off the malloc */
-
   return cptr;
 }
Index: cpukit/libcsupport/src/free.c
===================================================================
--- cpukit/libcsupport/src/free.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/free.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -25,10 +25,10 @@
 #include <rtems/score/sysstate.h>
 
+#include "malloc_p.h"
+
 void free(
   void *ptr
 )
 {
-  MSBUMP(free_calls, 1);
-
   if ( !ptr )
     return;
@@ -42,10 +42,4 @@
   }
 
-  /*
-   *  If configured, update the statistics
-   */
-  if ( rtems_malloc_statistics_helpers )
-    (*rtems_malloc_statistics_helpers->at_free)(ptr);
-
   if ( !_Protected_heap_Free( RTEMS_Malloc_Heap, ptr ) ) {
     printk( "Program heap: free of bad pointer %p -- range %p - %p \n",
Index: cpukit/libcsupport/src/malloc.c
===================================================================
--- cpukit/libcsupport/src/malloc.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/malloc.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -30,6 +30,4 @@
 {
   void        *return_this;
-
-  MSBUMP(malloc_calls, 1);
 
   /*
@@ -72,10 +70,4 @@
     (*rtems_malloc_dirty_helper)( return_this, size );
 
-  /*
-   *  If configured, update the statistics
-   */
-  if ( rtems_malloc_statistics_helpers )
-    (*rtems_malloc_statistics_helpers->at_malloc)(return_this);
-
   return return_this;
 }
Index: ukit/libcsupport/src/malloc_get_statistics.c
===================================================================
--- cpukit/libcsupport/src/malloc_get_statistics.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,36 +1,0 @@
-/**
- *  @file
- *
- *  @brief Print Malloc Statistic Usage Report
- *  @ingroup MallocSupport
- */
-
-/*
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#ifdef RTEMS_NEWLIB
-#include "malloc_p.h"
-
-int malloc_get_statistics(
-  rtems_malloc_statistics_t *stats
-)
-{
-  if ( !stats )
-    return -1;
-  _RTEMS_Lock_allocator();
-  *stats = rtems_malloc_statistics;
-  _RTEMS_Unlock_allocator();
-  return 0;
-}
-
-#endif
Index: cpukit/libcsupport/src/malloc_initialize.c
===================================================================
--- cpukit/libcsupport/src/malloc_initialize.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/malloc_initialize.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -23,6 +23,4 @@
 
 #ifdef RTEMS_NEWLIB
-rtems_malloc_statistics_t rtems_malloc_statistics;
-
 void RTEMS_Malloc_Initialize(
   const Heap_Area *areas,
@@ -60,13 +58,4 @@
     }
   }
-
-  /*
-   *  If configured, initialize the statistics support
-   */
-  if ( rtems_malloc_statistics_helpers != NULL ) {
-    (*rtems_malloc_statistics_helpers->initialize)();
-  }
-
-  MSBUMP( space_available, _Protected_heap_Get_size( heap ) );
 }
 #else
Index: cpukit/libcsupport/src/malloc_p.h
===================================================================
--- cpukit/libcsupport/src/malloc_p.h	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/malloc_p.h	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -23,11 +23,4 @@
 
 /*
- *  Malloc Statistics Structure
- */
-extern rtems_malloc_statistics_t rtems_malloc_statistics;
-
-#define MSBUMP(_f,_n)    rtems_malloc_statistics._f += (_n)
-
-/*
  *  Process deferred free operations
  */
Index: ukit/libcsupport/src/malloc_report_statistics.c
===================================================================
--- cpukit/libcsupport/src/malloc_report_statistics.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,29 +1,0 @@
-/**
- *  @file
- *
- *  @brief Print Malloc Statistic Usage Report
- *  @ingroup MallocSupport
- */
-
-/*
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#ifdef RTEMS_NEWLIB
-#include "malloc_p.h"
-
-void malloc_report_statistics(void)
-{
-  malloc_report_statistics_with_plugin( NULL, printk_plugin );
-}
-
-#endif
Index: ukit/libcsupport/src/malloc_report_statistics_plugin.c
===================================================================
--- cpukit/libcsupport/src/malloc_report_statistics_plugin.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,59 +1,0 @@
-/*
- *  malloc_report_statistics with plugin Implementation
- *
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#ifdef RTEMS_NEWLIB
-#include "malloc_p.h"
-#include "inttypes.h"
-
-void malloc_report_statistics_with_plugin(
-  void                  *context,
-  rtems_printk_plugin_t  print
-)
-{
-  rtems_malloc_statistics_t *s = &rtems_malloc_statistics;
-  uint32_t space_available = s->space_available;
-  uint32_t allocated = (uint32_t) (s->lifetime_allocated - s->lifetime_freed);
-  uint32_t max_depth = s->max_depth;
-    /* avoid float! */
-  uint32_t allocated_per_cent = (allocated * 100) / space_available;
-  uint32_t max_depth_per_cent = (max_depth * 100) / space_available;
-
-  (*print)(
-    context,
-    "Malloc statistics\n"
-    "  avail:%"PRIu32"k  allocated:%"PRIu32"k (%"PRIu32"%%) "
-      "max:%"PRIu32"k (%"PRIu32"%%)"
-      " lifetime:%"PRIuMAX"k freed:%"PRIuMAX"k\n",
-    space_available / 1024,
-    allocated / 1024,
-    allocated_per_cent,
-    max_depth / 1024,
-    max_depth_per_cent,
-    s->lifetime_allocated / 1024,
-    s->lifetime_freed / 1024
-  );
-  (*print)(
-    context,
-    "  Call counts:   malloc:%"PRIu32"   memalign:%"PRIu32"   free:%"PRIu32
-       "   realloc:%"PRIu32"   calloc:%"PRIu32"\n",
-    s->malloc_calls,
-    s->memalign_calls,
-    s->free_calls,
-    s->realloc_calls,
-    s->calloc_calls
-  );
-}
-
-#endif
Index: ukit/libcsupport/src/malloc_statistics_helpers.c
===================================================================
--- cpukit/libcsupport/src/malloc_statistics_helpers.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,77 +1,0 @@
-/**
- *  @file
- *
- *  @brief Malloc Statistics Support
- *  @ingroup MallocSupport
- */
-
-/*
- *  COPYRIGHT (c) 1989-2007.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#if HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#ifdef RTEMS_NEWLIB
-#include "malloc_p.h"
-
-#include <sys/reent.h>
-#include <stdlib.h>
-#include <string.h>
-
-static void rtems_malloc_statistics_initialize( void )
-{
-  /*
-   * Zero all the statistics
-   */
-  (void) memset(&rtems_malloc_statistics, 0, sizeof(rtems_malloc_statistics));
-}
-
-static void rtems_malloc_statistics_at_malloc(
-  void *pointer
-)
-{
-  uintptr_t actual_size = 0;
-  uint32_t current_depth;
-  rtems_malloc_statistics_t *s = &rtems_malloc_statistics;
-
-  if ( !pointer )
-    return;
-
-  _Protected_heap_Get_block_size(RTEMS_Malloc_Heap, pointer, &actual_size);
-
-  MSBUMP(lifetime_allocated, actual_size);
-
-  current_depth = (uint32_t) (s->lifetime_allocated - s->lifetime_freed);
-  if (current_depth > s->max_depth)
-      s->max_depth = current_depth;
-}
-
-/**
- *  If the pointer is not in the heap, then we won't be able to get its
- *  size and thus we skip updating the statistics.
- */
-static void rtems_malloc_statistics_at_free(
-  void *pointer
-)
-{
-  uintptr_t size;
-
-  if (_Protected_heap_Get_block_size(RTEMS_Malloc_Heap, pointer, &size) ) {
-    MSBUMP(lifetime_freed, size);
-  }
-}
-
-rtems_malloc_statistics_functions_t rtems_malloc_statistics_helpers_table = {
-  rtems_malloc_statistics_initialize,
-  rtems_malloc_statistics_at_malloc,
-  rtems_malloc_statistics_at_free,
-};
-
-#endif
Index: cpukit/libcsupport/src/posix_memalign.c
===================================================================
--- cpukit/libcsupport/src/posix_memalign.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/posix_memalign.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -2,5 +2,4 @@
  * @file
  *
- * @brief Update call statistics
  * @ingroup libcsupport
  */
@@ -31,9 +30,4 @@
 )
 {
-  /*
-   *  Update call statistics
-   */
-  MSBUMP(memalign_calls, 1);
-
   if (((alignment - 1) & alignment) != 0 || (alignment < sizeof(void *)))
     return EINVAL;
Index: cpukit/libcsupport/src/realloc.c
===================================================================
--- cpukit/libcsupport/src/realloc.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/realloc.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -35,6 +35,4 @@
   uintptr_t old_size;
   char    *new_area;
-
-  MSBUMP(realloc_calls, 1);
 
   /*
@@ -78,6 +76,4 @@
   new_area = malloc( size );
 
-  MSBUMP(malloc_calls, (uint32_t) -1);   /* subtract off the malloc */
-
   if ( !new_area ) {
     return (void *) 0;
Index: cpukit/libcsupport/src/rtems_heap_extend_via_sbrk.c
===================================================================
--- cpukit/libcsupport/src/rtems_heap_extend_via_sbrk.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/rtems_heap_extend_via_sbrk.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -53,6 +53,4 @@
 
       if ( ok ) {
-        MSBUMP( space_available, sbrk_size );
-
         return_this = _Protected_heap_Allocate( heap, alloc_size );
       } else {
Index: cpukit/libcsupport/src/rtems_memalign.c
===================================================================
--- cpukit/libcsupport/src/rtems_memalign.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libcsupport/src/rtems_memalign.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -63,10 +63,4 @@
     return ENOMEM;
 
-  /*
-   *  If configured, update the more involved statistics
-   */
-  if ( rtems_malloc_statistics_helpers )
-    (*rtems_malloc_statistics_helpers->at_malloc)(pointer);
-
   *pointer = return_this;
   return 0;
Index: cpukit/libmisc/shell/main_mallocinfo.c
===================================================================
--- cpukit/libmisc/shell/main_mallocinfo.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/libmisc/shell/main_mallocinfo.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -20,5 +20,5 @@
 #include <rtems/malloc.h>
 #include <rtems/libcsupport.h>
-#include <rtems/shell.h>
+#include <rtems/shellconfig.h>
 
 #include "internal.h"
@@ -29,29 +29,21 @@
 )
 {
-  if ( argc == 2 ) {
+  if ( argc == 2 && strcmp( argv[ 1 ], "walk" ) == 0 ) {
+    malloc_walk( 0, true );
+  } else {
+    region_information_block info;
+
     rtems_shell_print_unified_work_area_message();
+    malloc_info( &info );
+    rtems_shell_print_heap_info( "free", &info.Free );
+    rtems_shell_print_heap_info( "used", &info.Used );
+  }
 
-    if ( !strcmp( argv[1], "info" ) ) {
-      region_information_block info;
-
-      malloc_info( &info );
-      rtems_shell_print_heap_info( "free", &info.Free );
-      rtems_shell_print_heap_info( "used", &info.Used );
-      return 0;
-    } else if ( !strcmp( argv[1], "stats" ) ) {
-      malloc_report_statistics_with_plugin(
-        stdout,
-        (rtems_printk_plugin_t) fprintf
-      );
-      return 0;
-    }
-  }
-  fprintf( stderr, "%s: [info|stats]\n", argv[0] );
-  return -1;
+  return 0;
 }
 
 rtems_shell_cmd_t rtems_shell_MALLOC_INFO_Command = {
   "malloc",                                   /* name */
-  "[info|stats]",                             /* usage */
+  "malloc [walk]",                            /* usage */
   "mem",                                      /* topic */
   rtems_shell_main_malloc_info,               /* command */
Index: cpukit/sapi/include/confdefs.h
===================================================================
--- cpukit/sapi/include/confdefs.h	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ cpukit/sapi/include/confdefs.h	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -1116,17 +1116,4 @@
 #ifdef CONFIGURE_INIT
   /**
-   * This configures the malloc family statistics to be available.
-   * By default only function call counts are kept.
-   */
-  rtems_malloc_statistics_functions_t *rtems_malloc_statistics_helpers =
-    #ifndef CONFIGURE_MALLOC_STATISTICS
-      NULL;
-    #else
-      &rtems_malloc_statistics_helpers_table;
-    #endif
-#endif
-
-#ifdef CONFIGURE_INIT
-  /**
    * This configures the sbrk() support for the malloc family.
    * By default it is assumed that the BSP provides all available
Index: doc/shell/memory.t
===================================================================
--- doc/shell/memory.t	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ doc/shell/memory.t	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -531,16 +531,12 @@
 
 @example
-malloc [info|stats]
+malloc [walk]
 @end example
 
 @subheading DESCRIPTION:
 
-This command prints either information or statistics about the
-C Program Heap used by the @code{malloc} family of calls based upon
-the value of the first argument passed to the command.
-
-When the subcommand @code{info} is specified, information on the
-current state of the C Program Heap is reported.  This includes the following
-information:
+This command prints information about the current state of the C Program Heap
+used by the @code{malloc()} family of calls if no or invalid options are passed
+to the command.  This includes the following information:
 
 @itemize @bullet
@@ -553,21 +549,6 @@
 @end itemize
 
-When the subcommand @code{stats} is specified, statistics on the
-the C Program Heap are reported.  Malloc Family Statistics must
-be enabled for all of the values to be updated.  The statistics
-available includes the following information:
-
-@itemize @bullet
-@item
-@item Currently available memory (in kilobytes)
-@item Currently allocated memory (in kilobytes)
-@item Maximum amount of memory ever allocated (in kilobytes)
-@item Lifetime tally of allocated memory  (in kilobytes)
-@item Lifetime tally of freed memory (in kilobytes)
-@item Number of calls to @code{malloc}
-@item Number of calls to @code{free}
-@item Number of calls to @code{realloc}
-@item Number of calls to @code{calloc}
-@end itemize
+When the subcommand @code{walk} is specified, then a heap walk will be
+performed and information about each block is printed out.
 
 @subheading EXIT STATUS:
@@ -577,9 +558,5 @@
 @subheading NOTES:
 
-@findex CONFIGURE_MALLOC_STATISTICS
-
-The @code{CONFIGURE_MALLOC_STATISTICS} @code{confdefs.h} constant
-must be defined when the application is configured for the full
-set of statistics information to be available.
+NONE
 
 @subheading EXAMPLES:
@@ -588,5 +565,5 @@
 
 @example
-SHLL [/] $ malloc info
+SHLL [/] $ malloc
 Number of free blocks: 3
 Largest free block:    3626672
@@ -595,26 +572,24 @@
 Largest used block:    1048
 Total bytes used:      10136
-SHLL [/] $ malloc stats
-Malloc statistics
-  avail:3552k  allocated:9k (0%) max:10k (0%) lifetime:21k freed:12k
-  Call counts:   malloc:203   free:93   realloc:0   calloc:20
-SHLL [/] $ malloc info
-Number of free blocks: 3
-Largest free block:    3626672
-Total bytes free:      3627768
-Number of used blocks: 130
-Largest used block:    1048
-Total bytes used:      10136
-SHLL [/] $ malloc stats
-Malloc statistics
-  avail:3552k  allocated:9k (0%) max:10k (0%) lifetime:23k freed:14k
-  Call counts:   malloc:205   free:95   realloc:0   calloc:20
-@end example
-
-Note that in the above example, the lifetime allocated and free
-values have increased between the two calls to @code{malloc stats}
-even though the amount of memory available in the C Program Heap
-is the same in both the @code{malloc info} invocations. This indicates
-that memory was allocated and freed as a side-effect of the commands.
+SHLL [/] $ malloc walk
+malloc walk
+PASS[0]: page size 8, min block size 48
+        area begin 0x00210210, area end 0x0FFFC000
+        first block 0x00210214, last block 0x0FFFBFDC
+        first free 0x00228084, last free 0x00228354
+PASS[0]: block 0x00210214: size 88
+...
+PASS[0]: block 0x00220154: size 144
+PASS[0]: block 0x002201E4: size 168, prev 0x002205BC, next 0x00228354 (= last free)
+PASS[0]: block 0x0022028C: size 168, prev_size 168
+...
+PASS[0]: block 0x00226E7C: size 4136
+PASS[0]: block 0x00227EA4: size 408, prev 0x00228084 (= first free), next 0x00226CE4
+PASS[0]: block 0x0022803C: size 72, prev_size 408
+PASS[0]: block 0x00228084: size 648, prev 0x0020F75C (= head), next 0x00227EA4
+PASS[0]: block 0x0022830C: size 72, prev_size 648
+PASS[0]: block 0x00228354: size 266157192, prev 0x002201E4, next 0x0020F75C (= tail)
+PASS[0]: block 0x0FFFBFDC: size 4028711480, prev_size 266157192
+@end example
 
 @subheading CONFIGURATION:
Index: doc/user/conf.t
===================================================================
--- doc/user/conf.t	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ doc/user/conf.t	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -2433,35 +2433,4 @@
 related configuration parameters supported by
 @code{<rtems/confdefs.h>}.
-
-@c
-@c === CONFIGURE_MALLOC_STATISTICS ===
-@c
-@subsection Enable Malloc Family Statistics
-
-@findex CONFIGURE_MALLOC_STATISTICS
-
-
-@table @b
-@item CONSTANT:
-@code{CONFIGURE_MALLOC_STATISTICS}
-
-@item DATA TYPE:
-Boolean feature macro.
-
-@item RANGE:
-Defined or undefined.
-
-@item DEFAULT VALUE:
-This is not defined by default, and Malloc Statistics are disabled.
-
-@end table
-
-@subheading DESCRIPTION:
-This configuration parameter is defined when the application wishes to
-enable the gathering of more detailed statistics on the C Malloc Family
-of routines.
-
-@subheading NOTES:
-None.
 
 @c
Index: testsuites/libtests/Makefile.am
===================================================================
--- testsuites/libtests/Makefile.am	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ testsuites/libtests/Makefile.am	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -25,5 +25,5 @@
 _SUBDIRS += bspcmdline01 cpuuse devfs01 devfs02 devfs03 devfs04 \
     deviceio01 devnullfatal01 dumpbuf01 gxx01 top\
-    malloctest malloc02 malloc03 malloc04 malloc05 heapwalk \
+    malloctest malloc02 malloc03 malloc04 heapwalk \
     putenvtest monitor monitor02 rtmonuse stackchk stackchk01 \
     termios termios01 termios02 termios03 termios04 termios05 \
Index: testsuites/libtests/configure.ac
===================================================================
--- testsuites/libtests/configure.ac	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ testsuites/libtests/configure.ac	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -118,5 +118,4 @@
 malloc03/Makefile
 malloc04/Makefile
-malloc05/Makefile
 monitor/Makefile
 monitor02/Makefile
Index: stsuites/libtests/malloc05/Makefile.am
===================================================================
--- testsuites/libtests/malloc05/Makefile.am	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,21 +1,0 @@
-
-rtems_tests_PROGRAMS = malloc05
-malloc05_SOURCES = init.c
-
-dist_rtems_tests_DATA = malloc05.scn
-dist_rtems_tests_DATA += malloc05.doc
-
-include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
-include $(top_srcdir)/../automake/compile.am
-include $(top_srcdir)/../automake/leaf.am
-
-AM_CPPFLAGS += -I$(top_srcdir)/../support/include
-
-LINK_OBJS = $(malloc05_OBJECTS)
-LINK_LIBS = $(malloc05_LDLIBS)
-
-malloc05$(EXEEXT): $(malloc05_OBJECTS) $(malloc05_DEPENDENCIES)
-	@rm -f malloc05$(EXEEXT)
-	$(make-exe)
-
-include $(top_srcdir)/../automake/local.am
Index: stsuites/libtests/malloc05/init.c
===================================================================
--- testsuites/libtests/malloc05/init.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,58 +1,0 @@
-/*
- *  COPYRIGHT (c) 1989-2012.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <tmacros.h>
-#include "test_support.h"
-#include <rtems/malloc.h>
-
-const char rtems_test_name[] = "MALLOC 5";
-
-/* forward declarations to avoid warnings */
-rtems_task Init(rtems_task_argument argument);
-
-rtems_task Init(
-  rtems_task_argument argument
-)
-{
-  int                        sc;
-  rtems_malloc_statistics_t  stats;
-
-  TEST_BEGIN();
-
-  puts( "malloc_get_statistics( NULL ) - returns -1" );
-  sc = malloc_get_statistics( NULL );
-  rtems_test_assert( sc == -1 );
-
-  puts( "malloc_get_statistics( &stats ) - returns -0" );
-  sc = malloc_get_statistics( &stats );
-  rtems_test_assert( sc == 0 );
-
-  TEST_END();
-
-  rtems_test_exit(0);
-}
-
-/* configuration information */
-
-#define CONFIGURE_APPLICATION_NEEDS_CONSOLE_DRIVER
-#define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
-
-#define CONFIGURE_MAXIMUM_TASKS             1
-#define CONFIGURE_INITIAL_EXTENSIONS RTEMS_TEST_INITIAL_EXTENSION
-
-#define CONFIGURE_RTEMS_INIT_TASKS_TABLE
-
-#define CONFIGURE_INIT
-
-#include <rtems/confdefs.h>
-/* end of file */
Index: stsuites/libtests/malloc05/malloc05.scn
===================================================================
--- testsuites/libtests/malloc05/malloc05.scn	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ 	(revision )
@@ -1,4 +1,0 @@
-*** TEST MALLOC05 ***
-malloc_get_statistics( NULL ) - returns -1
-malloc_get_statistics( &stats ) - returns -0
-*** END OF TEST MALLOC05 ***
Index: testsuites/libtests/malloctest/task1.c
===================================================================
--- testsuites/libtests/malloctest/task1.c	(revision 3b4ca3ab0f99d15794a3eee60b5735f834fd898c)
+++ testsuites/libtests/malloctest/task1.c	(revision 01557b0c6e723627427195bb33bdfe0b125c70b1)
@@ -60,5 +60,4 @@
     printf("mallocing %d bytes\n",mem_amt);
     memset( mem_ptr, mem_amt, mem_amt );
-    malloc_report_statistics();
     malloc_walk_ok = malloc_walk( 1, false );
     rtems_test_assert( malloc_walk_ok );